Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSLCReader Class Reference

`#include <vtkSLCReader.h>`

Inheritance diagram for vtkSLCReader:

[legend]
Collaboration diagram for vtkSLCReader:

[legend]
List of all members.

## Detailed Description

read an SLC volume file.

Date:
  2002/11/12 19:44:35

Revision:
  1.39

vtkSLCReader reads an SLC file and creates a structured point dataset. The size of the volume and the data spacing is set from the SLC file header.

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (34%)
  - Martin, Ken (19%)
  - Schroeder, Will (14%)
  - Hoffman, Bill (14%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkSLCReader.cxx)`
  - .`h` (`/IO/vtkSLCReader.h)`

Examples:
  vtkSLCReader (Examples)

Tests:
  vtkSLCReader (Tests)

Definition at line 53 of file vtkSLCReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual int | GetError ()
int | CanReadFile (const char *fname)
virtual const char * | GetFileExensions ()
virtual const char * | GetDescriptiveName ()
## Static Public Methods
vtkSLCReader * | New ()
int | IsTypeOf (const char *type)
vtkSLCReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkSLCReader ()
| ~vtkSLCReader ()
virtual void | ExecuteData (vtkDataObject *)
void | ExecuteInformation ()
unsigned char * | Decode8BitData (unsigned char *in_ptr, int size)
## Protected Attributes
int | Error

## Member Typedef Documentation

typedef vtkImageReader2 vtkSLCReader::Superclass

| Reimplemented from vtkImageReader2. Definition at line 57 of file vtkSLCReader.h.

## Constructor & Destructor Documentation

vtkSLCReader::vtkSLCReader | ( |  | ) | `[protected]`

vtkSLCReader::~vtkSLCReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSLCReader* vtkSLCReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2.

virtual const char* vtkSLCReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2.

int vtkSLCReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

virtual int vtkSLCReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2.

vtkSLCReader* vtkSLCReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2.

void vtkSLCReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2.

virtual void vtkSLCReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Set/Get the name of the file to read. Reimplemented from vtkImageReader2.

virtual char* vtkSLCReader::GetFileName | ( |  | ) | `[virtual]`

| Set/Get the name of the file to read. Reimplemented from vtkImageReader2.

virtual int vtkSLCReader::GetError | ( |  | ) | `[virtual]`

| Was there an error on the last read performed?

int vtkSLCReader::CanReadFile | ( | const char * | fname | ) |

| Is the given file an SLC file?

virtual const char* vtkSLCReader::GetFileExensions | ( |  | ) | `[inline, virtual]`

| Is the given file an SLC file? Reimplemented from vtkImageReader2. Definition at line 76 of file vtkSLCReader.h.

virtual const char* vtkSLCReader::GetDescriptiveName | ( |  | ) | `[inline, virtual]`

| SLC Reimplemented from vtkImageReader2. Definition at line 84 of file vtkSLCReader.h.

virtual void vtkSLCReader::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

void vtkSLCReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2.

unsigned char* vtkSLCReader::Decode8BitData | ( | unsigned char * | in_ptr,
|  | int | size
| ) | `[protected]`

## Member Data Documentation

int vtkSLCReader::Error`[protected]`

| Definition at line 105 of file vtkSLCReader.h.

The documentation for this class was generated from the following file:

- IO/vtkSLCReader.h